import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
class f1 extends f_xj
{
public double func(double x[]) 
{
//çözümü istenen fonksiyon	
double ff;
ff=(x[1]-x[0]*x[0])*(x[1]-x[0]*x[0])+0.01*(x[0]-1.0)*(x[0]-1.0);
return -ff; 
}}


  public class Plot3DMT3
  {  public static void main(String[] args)
  { f1 fa=new f1();
    Plot3D_JM pp=new Plot3D_JM(fa,-10,10,0.0,20);
    pp.plot();
  } }
